{%- assign license = site.posts | find: "layout", "license" -%}
{%- assign code_of_conduct = site.posts | find: "layout", "code_of_conduct" -%}
{%- assign privacy_policy = site.posts | find: "layout", "privacy_policy" -%}

<footer class="border-top pt-3 container">
  <div class="row">
    <div class="col">
      {%- if include.footer -%}
        {% assign editorial = site.posts | find: 'layout', 'about' %}
        {% include_cached editorial.html editorial=editorial %}
      {%- endif -%}
    </div>

    <div class="col d-flex flex-column align-items-end justify-content-end">
      <ul class="list-unstyled">
        {% if license %}
          <li>
            <a href="{{ license.url }}" rel="license">{{ license.title }}</a>
          </li>
        {% endif %}

        {% if code_of_conduct %}
          <li>
            <a href="{{ code_of_conduct.url }}" rel="code-of-conduct">{{ code_of_conduct.title }}</a>
          </li>
        {% endif %}

        {% if privacy_policy %}
          <li>
            <a href="{{ privacy_policy.url }}" rel="privacy-policy">{{ privacy_policy.title }}</a>
          </li>
        {% endif %}

        {%- if site.activity_pub_profile -%}
          <li>
            <span>
              {{- site.i18n.fediverse -}}
            </span>
            <span>
              @{{ site.activity_pub_profile -}}
            </span>
          </li>
        {%- endif -%}
      </ul>

      {{ site.i18n.footer.made_with_sutty | markdownify }}
    </div>
  </div>
</footer>
